Sets the consent identifier for a customer, it is not possible to set the identifier to an empty/null value
PUT/rest/appointment/customers/:customerId/consent
Sets the consent identifier for a customer, it is not possible to set the identifier to an empty/null value.
This will automatically update the consentTimestamp field to the time the call is made, if the identifier is different from the already existing value.
Example of usage :
curl -i -u user:password -X PUT -d 'MyCustomConsentIdentifier' -H 'Content-Type: text/plain' http://orchestra-ip:orchestra-port/rest/appointment/customers/{customerId}/consent
Request
Responses
- 204
Success